# ==========================================================================
#  Core: vpc.tf
# --------------------------------------------------------------------------
#  Description
# --------------------------------------------------------------------------
#    - VPC Identity
#    - Private Subnet
#    - Main Route Table
# ==========================================================================

# --------------------------------------------------------------------------
#  VPC Tag Name
# --------------------------------------------------------------------------
locals {
  tags_vpc = {
    ResourceGroup = "${var.environment}-VPC"
    Name          = "${var.vpc_name}"
  }
}

# --------------------------------------------------------------------------
#  VPC DEVELOPMENT (Private)
# --------------------------------------------------------------------------
resource "aws_vpc" "development" {
  cidr_block           = "172.200.0.0/16"
  enable_dns_hostnames = true

  tags = merge(local.tags, local.tags_vpc)
}

# --------------------------------------------------------------------------
#  VPC Route Table
# --------------------------------------------------------------------------
resource "aws_main_route_table_association" "private_subnet_association" {
  vpc_id         = aws_vpc.development.id
  route_table_id = aws_route_table.private.id
}
